Bug 238811 - Suspend menu items only lock screen
Suspend menu items only lock screen
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kpowersave (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dennis Gilmore
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-02 22:13 EDT by Jason Tibbitts
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-03 15:50:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason Tibbitts 2007-05-02 22:13:28 EDT
I'm testing kpowersave-0.7.2-1.fc7 on an up-to-date rawhide system and for some
reason the menu items "Suspend to Disk" and "Suspend to RAM" merely lock the
screen.  pm-suspend and pm-hibernate both work fine, but I suppose that
kpowersave does some dbus magic to ask HAL to do the suspend, and I've pretty
much no idea how to debug that kind of thing.  (I guess I could run ltrace on
it; I'll try that tomorrow.)
Comment 1 Jason Tibbitts 2007-05-03 15:50:17 EDT
Well, it turns out that this is due to me running an FC6 kernel on F7.  If I
boot the latest kernel from davej's page (3125, I think) kpowersave does what
it's supposed to.  I'm guessing that hal is confused by the kernel mismatch. 
Unfortunately then suspend to RAM is broken, but that's a generic problem with
all of the F7 kernels and seems unrelated to kpowersave.

Sorry for the false alarm.

Note You need to log in before you can comment on or make changes to this bug.